import { FC } from "react";
import MyTitle from "../components/MyTitle";
import MySection from "./MySection";

const AboutMe: FC = () => {
	const age = Math.floor(
		((new Date() as any) - (new Date("1993-07-11") as any)) / 31557600000
	);

	const work = Math.floor(
		((new Date() as any) - (new Date("2012-12-01") as any)) / 31557600000
	);

	return (
		<MySection iconName="me">
			<MyTitle left="Dobrý" right="Den" />
			<div className="mt-10">
				Jmenuji se <b>Roman Jaroš</b>.
			</div>
			<div className="mt-5">
				<p>
					Je mi <b>{age} let</b> a již <b>{work} let</b> se profesionálně věnuji
					vývoji a správě webových aplikací. Aktuálně pracuji pouze na IČO.
				</p>
			</div>
		</MySection>
	);
};

export default AboutMe;
